Show / Hide Table of Contents

# Struct ImGuiStoragePairPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiStoragePairPtr

### Constructors

| Improve this Doc View Source

#### ImGuiStoragePairPtr(ImGuiStoragePair*)

##### Declaration

    public ImGuiStoragePairPtr(ImGuiStoragePair*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStoragePair* | nativePtr |

| Improve this Doc View Source

#### ImGuiStoragePairPtr(IntPtr)

##### Declaration

    public ImGuiStoragePairPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImGuiStoragePair*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiStoragePair* |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiStoragePair* to ImGuiStoragePairPtr)

##### Declaration

    public static implicit operator ImGuiStoragePairPtr(ImGuiStoragePair*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStoragePair* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiStoragePairPtr |

| Improve this Doc View Source

#### Implicit(ImGuiStoragePairPtr to ImGuiStoragePair*)

##### Declaration

    public static implicit operator ImGuiStoragePair*(ImGuiStoragePairPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiStoragePairPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiStoragePair* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiStoragePairPtr)

##### Declaration

    public static implicit operator ImGuiStoragePairPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiStoragePairPtr |